package com.baofoo.demo.exchange;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.baofoo.util.GepUtils;


/**
 * GEP汇率查询
 * @author mucang
 *
 */
public class QueryCalRate {
	public static void main(String[] args) throws Exception {
		String url = "/api/rate/query-cal-rate";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("userNo", GepUtils.userNo);
		dataContentMap.put("originalCcy", "USD");
		dataContentMap.put("targetCcy", "CNH");
		dataContentMap.put("closingDate", new SimpleDateFormat("yyyy-MM-dd").format(new Date()));
		
		GepUtils.sendRequest(url, dataContentMap, null, true);
		//TODO  业务逻辑自行处理
	}
}
