package com.baofoo.demo.store;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.baofoo.util.GepUtils;

/**
 * 3.8 电商平台提现申请
 * @author mucang
 *
 */
public class PlatformApplyWithdrawal {
	public static void main(String[] args) {
		String url = "/api/withdrawal/platform-apply-withdrawal";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("userNo", GepUtils.userNo);
		dataContentMap.put("certificateId", GepUtils.certificateId);
		dataContentMap.put("userReqNo", GepUtils.randomSn());
		dataContentMap.put("paymentCcy", "USD");
		dataContentMap.put("paymentAmount", "100");
		dataContentMap.put("payeeCcy", "USD");
		dataContentMap.put("paymentPurpose", "1");
		dataContentMap.put("paymentReference", "payment");
		dataContentMap.put("costBorne", "OUR");
		dataContentMap.put("cardNo", "168888888");
		dataContentMap.put("accountName", "GEP Testing Co., Ltd");
		dataContentMap.put("callBackUrl", "http://10.0.60.55:8083/link1");
		
		List<Map<String, Object>> list = new ArrayList<Map<String, Object>>();
		Map<String, Object> storeMap = new HashMap<>();
		storeMap.put("storeNo", "2112161112000115915");
		storeMap.put("paymentAmt", "100");
		list.add(storeMap);
		
		Map<String, Object> storeMap1 = new HashMap<>();
		storeMap1.put("storeNo", "2407031237000022710");
		storeMap1.put("paymentAmt", "50");
		//list.add(storeMap1);
		
		dataContentMap.put("paymentStoreList", list);
		
		GepUtils.sendRequest(url, dataContentMap, null, true);
		// result解密信息：{"accountName":"GEP Testing Co., Ltd","applyDate":"2024-07-10 17:41:35","cardNo":"168888888","costBorne":"OUR","orderId":2407101741000030212,"payeeAmount":90.00,"payeeCcy":"USD","paymentAmount":100.00,"paymentCcy":"USD","paymentFeeAmount":10.00,"paymentFeeCcy":"USD","paymentFeeRate":100.000000,"paymentPurpose":10,"paymentReference":"payment","status":1,"tradeRate":100.000000,"userNo":5181200731000138828,"userReqNo":"20240710174134-7518494036"}

		//TODO  业务逻辑自行处理
	}
}
