package com.baofoo.demo.vas;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.baofoo.util.GepUtils;

/**
 * 2.3.1 GEP开卡申请
 * @author mucang
 *
 */
public class CardApply {
	public static void main(String[] args) throws UnsupportedEncodingException, IOException {

		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("userReqNo", GepUtils.randomSn());// 请求流水号
		dataContentMap.put("localCurrency", "USD");
		dataContentMap.put("startDate", new SimpleDateFormat("yyyy-MM-dd").format(new Date()));
		dataContentMap.put("endDate", "2026-01-01");
		dataContentMap.put("authLimitAmount", "100");
		dataContentMap.put("enableMultiUse", "1");//1多次卡 0单次卡
		dataContentMap.put("enableCurrencyCheck", "0");//是否限制交易币种	1开启校验 0 不校验
		dataContentMap.put("cardAlias", "消费卡");
		dataContentMap.put("binRangeId", "438357");//测试环境不验证持卡人使用522981，验证持卡人使用438357
		dataContentMap.put("channelType", "1");//1(常规卡，默认) 2(共享-附属卡)
		dataContentMap.put("groupId", "");
		dataContentMap.put("cardUserId", "2406211708000000069");//验证持卡人的卡头需填写
		
		GepUtils.sendRequest("/api/vas/card/apply", dataContentMap, null, true);
		
	}
}
