package com.baofoo.demo.vas;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import java.util.Map;

import com.baofoo.util.GepUtils;

/**
 * 卡交易查询
 * @author mucang
 *
 */
public class CardTransQuery {
	public static void main(String[] args) throws UnsupportedEncodingException, IOException {
		String url = "/api/vas/trans/v2/query";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("cardId", "2406131330000000001");
		dataContentMap.put("tradeType", "AUTH");// 交易类型：AUTH,SETTLEMENT
		dataContentMap.put("createDateStart", "2024-03-18");
		dataContentMap.put("createDateEnd", "2024-03-28");
		dataContentMap.put("currentPage", "1");
		dataContentMap.put("pageSize", "20");// 每页记录数，最大50
		dataContentMap.put("cardType", "1");//1:常规卡 2:共享卡
		
		GepUtils.sendRequest(url, dataContentMap, null, true);
	}
}
