package com.baofoo.demo.vas;

import java.io.IOException;
import java.io.UnsupportedEncodingException;
import java.util.HashMap;
import java.util.Map;

import com.baofoo.util.GepUtils;

/**
 * 卡组操作订单查询
 * @author mucang
 *
 */
public class QueryCardGroupOperate {
	public static void main(String[] args) throws UnsupportedEncodingException, IOException {
		String url = "/api/vas/card/queryCardGroupOperate";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("userReqNo", "");// 卡操作请求时的流水号
		dataContentMap.put("groupId", "");// 卡组申请时返回
		dataContentMap.put("status", "");//订单状态：0待处理 1处理中 2 成功  3失败
		dataContentMap.put("opType", "");//类型：0#开卡申请 1#充值 3#销卡 4#退款
		dataContentMap.put("beginTime", "2024-03-18");
		dataContentMap.put("endTime", "2024-03-28");
		dataContentMap.put("currentPage", "1");
		dataContentMap.put("pageSize", "20");//分页大小：每页记录数
		
		GepUtils.sendRequest(url, dataContentMap, null, true);
	}
}
