package com.baofoo.demo.exchange;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

import com.baofoo.util.GepUtils;

/**
 * 2.3.45 新增pobo付款人接口
 * @author mucang
 *
 */
public class AddPoboPayee {
	public static void main(String[] args) {
		String url = "/api/user/pobo/addPoboPayee";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("userNo", GepUtils.userNo);
		dataContentMap.put("payerType", 1);//1-个人，2-境内企业，3-非境内企业
		dataContentMap.put("payerName", "张宝");
		dataContentMap.put("payerEnName", "zhang bao");
		dataContentMap.put("payerCountry", "CHN");
		dataContentMap.put("payerIdType", 1);//1-身份证，4-营业执照，5-企业注册号
		dataContentMap.put("payerIdNo", "211102200009040143");
		
		dataContentMap.put("idExpiration", "2042-01-01");
		dataContentMap.put("payerAddress", "上海市浦东新区");
		
		List<Object> list = new ArrayList<>();
		Map<String, Object> material = new HashMap<>();
		material.put("dfsId", 13330095);
		material.put("materialType", 1);
		list.add(material);
		
		Map<String, Object> material1 = new HashMap<>();
		material1.put("dfsId", 13330110);
		material1.put("materialType", 2);		
		list.add(material1);
		
		Map<String, Object> material2 = new HashMap<>();
		material2.put("dfsId", 13330110);
		material2.put("materialType", 14);		
		list.add(material2);
		
		dataContentMap.put("materialList", list);

		GepUtils.sendRequest(url, dataContentMap, null, true);
		//TODO  业务逻辑自行处理
	}
}
