package com.baofoo.demo.exchange;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import com.baofoo.util.GepUtils;


/**
 * GEP汇兑锁定申请
 * @author mucang
 *
 */
public class ApplyExchange {
	public static void main(String[] args) throws Exception {
		String url = "/api/exchange/apply-exchange";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("userNo", GepUtils.userNo);
		dataContentMap.put("userReqNo", GepUtils.randomSn());
		dataContentMap.put("buyCcy", "USD");
		dataContentMap.put("sellCcy", "CNH");
		dataContentMap.put("direction", "2");//交易方向：1-买入，2-卖出
		if("1".equals(dataContentMap.get("direction"))) {//交易方向：1-买入
			dataContentMap.put("buyAmount", "100");
		}else if("2".equals(dataContentMap.get("direction"))) {//2-卖出
			dataContentMap.put("sellAmount", "100");
		}
		dataContentMap.put("closingDate", new SimpleDateFormat("yyyy-MM-dd").format(new Date()));
		dataContentMap.put("closingType", "TOD");
		
		GepUtils.sendRequest(url, dataContentMap, null, true);
	}
}
