package com.baofoo.demo.store;

import java.util.HashMap;
import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.baofoo.util.GepUtils;

/**
 * 3.2 添加客户开户主体信息接口
 * @author mucang
 *
 */
public class AddCustomerOpenAccountInfo {
	public static void main(String[] args) throws Exception {
		String url = "/api/user/add-customer-open-account-info";
		Map<String, Object> dataContentMap = new HashMap<>();
		dataContentMap.put("type", 1);//1 境内个人 2境内企业 3香港企业 
		dataContentMap.put("callBackUrl", "http://10.0.60.55:8083/gep-demo-java/CommonNotify");
		
		Map<String, Object> objMap = new HashMap<>();
		objMap.put("memberTransId", GepUtils.randomSn());
		// (1-5182240710000033088/2-5182240710000033158/3-5182240710000033228)
		objMap.put("parentCustomerNo", "5182240710000033088");
		
		if(dataContentMap.containsValue(1)) {
			objMap.put("name", "张宝");
			objMap.put("enName", "zhang bao");
			objMap.put("idFront", 13330110);
			objMap.put("idReverse", 13330095);
			objMap.put("idHold", 13330220);
			objMap.put("idNo", "211102200009040143");
			objMap.put("legalCertExpiryDate", "2042-01-01");
			objMap.put("birthDate", "2000-09-04");
			objMap.put("postCode", "200000");
			objMap.put("address", "浦东新区");
			objMap.put("province", "310000_上海市");
			objMap.put("city", "310100_上海市");
			objMap.put("area", "310115_浦东新区");
		}else if (dataContentMap.containsValue(2)) {
			objMap.put("name", "张宝有限公司");
			objMap.put("enName", "zhang bao you xian gong si");
			objMap.put("license", 13330110);
			objMap.put("licenseNo", "91310115MA1K4AQL31");
			objMap.put("legalIdType", 1);//1：身份证  2：护照
			objMap.put("legalName", "张宝");
			objMap.put("legalNo", "211102200009040143");
			objMap.put("legalCertExpiryDate", "2042-01-01");
			objMap.put("legalIdFront", 13330110);
			objMap.put("legalIdReverse", 13330110);
			objMap.put("legalIdHold", 13330110);
			objMap.put("registerDate", "2019-03-14");
			objMap.put("registerAmt", "1000");
			objMap.put("birthDate", "2000-09-04");
			objMap.put("licenseEndDate", "2039-03-13");
			objMap.put("postCode", "200000");
			objMap.put("industryId", "0318");
			objMap.put("economyId", "160");
			objMap.put("province", "310000_上海市");
			objMap.put("city", "310100_上海市");
			objMap.put("area", "310115_浦东新区");
			objMap.put("address", "张江");
			objMap.put("registerProvince", "310000_上海");
			objMap.put("registerCity", "310100_上海");
			objMap.put("registerArea", "浦东");
			objMap.put("registerAddress", "张江");
			//--------------
			objMap.put("legalCountryCode", "CHN");
			objMap.put("legalProvince", "310000_上海");
			objMap.put("legalCity", "310100_上海");
			objMap.put("legalArea", "浦东");
			objMap.put("legalAddress", "张江");
			
			Map<String, Object> stakeholderInfosMap = new HashMap<>();			
			stakeholderInfosMap.put("stakeholderName", "张宝");
			stakeholderInfosMap.put("stakeholderIdType", "1");//1-身份证 2-护照
			stakeholderInfosMap.put("stakeholderIdNo", "211102200009040143");
			stakeholderInfosMap.put("stakeholderCertExpiryDate", "2042-01-01");
			stakeholderInfosMap.put("stakeholderIdFront", 13330110);
			stakeholderInfosMap.put("stakeholderIdReverse", 13330110);
			stakeholderInfosMap.put("stakeholderDirectorRatio", 100);
			stakeholderInfosMap.put("stakeholderAddress", "上海浦东");
			stakeholderInfosMap.put("stakeholderBirthDate", "2000-09-04");
			stakeholderInfosMap.put("stakeholderCountry", "CHN");
			
			objMap.put("stakeholderInfos", JSONObject.toJSON(stakeholderInfosMap));		
			
		}else if (dataContentMap.containsValue(3)) {
			objMap.put("name", "张宝有限公司");
			objMap.put("enName", "zhang bao you xian gong si");
			objMap.put("orgRegister", 13330110);
			objMap.put("businessRegister", 13330110);
			objMap.put("declarationForm", 13330110);
			objMap.put("orgRegisterNo", "91310115");
			objMap.put("businessRegisterNo", "91310115");
			objMap.put("businessRegisterExpiryDate", "2025-06-06");
			objMap.put("registerDate", "2020-06-06");
			objMap.put("registerAmt", "1000");
			objMap.put("stockCertificate", 13330110);
			objMap.put("province", "310000_上海市");
			objMap.put("city", "310100_上海市");
			objMap.put("area", "310115_浦东新区");
			objMap.put("address", "张江");
			objMap.put("registerProvince", "310000_上海");
			objMap.put("registerCity", "310100_上海");
			objMap.put("registerArea", "浦东");
			objMap.put("registerAddress", "张江");
			
			Map<String, Object> directorInfosMap = new HashMap<>();			
			directorInfosMap.put("directorName", "张宝");
			directorInfosMap.put("directorIdType", "1");//1-身份证 2-护照
			directorInfosMap.put("directorIdNo", "211102200009040143");
			directorInfosMap.put("directorCertExpiryDate", "2042-01-01");
			directorInfosMap.put("directorIdFront", 13330110);
			directorInfosMap.put("directorIdReverse", 13330110);
			directorInfosMap.put("directorBirthDate", "2000-09-04");
			directorInfosMap.put("directorCountry", "CHN");
			directorInfosMap.put("directorProvince", "310000_上海");
			directorInfosMap.put("directorCity", "310100_上海");
			directorInfosMap.put("directorArea", "浦东");
			directorInfosMap.put("directorAddress", "张江");
			
			objMap.put("directorInfos", JSONObject.toJSON(directorInfosMap));
			
			Map<String, Object> stakeholderInfosMap = new HashMap<>();			
			stakeholderInfosMap.put("stakeholderName", "张宝");
			stakeholderInfosMap.put("stakeholderIdType", "1");//1-身份证 2-护照
			stakeholderInfosMap.put("stakeholderIdNo", "211102200009040143");
			stakeholderInfosMap.put("stakeholderCertExpiryDate", "2042-01-01");
			stakeholderInfosMap.put("stakeholderIdFront", 13330110);
			stakeholderInfosMap.put("stakeholderIdReverse", 13330110);
			stakeholderInfosMap.put("stakeholderDirectorRatio", 100);
			stakeholderInfosMap.put("stakeholderAddress", "上海浦东");
			stakeholderInfosMap.put("stakeholderBirthDate", "2000-09-04");
			stakeholderInfosMap.put("stakeholderCountry", "CHN");
			
			objMap.put("stakeholderInfos", JSONObject.toJSON(stakeholderInfosMap));
		}
		
		dataContentMap.put("obj", JSONObject.toJSON(objMap));
		GepUtils.sendRequest(url, dataContentMap, null, true);
		//{"customerNo":5182240710000033468}
		//TODO  业务逻辑自行处理
	}
}
